Uses Crt,Gif,ModeXLib;
Var i:Word;
begin
  Init_ModeX;                   {initialize Mode X}
  LoadGif('upfold');            {load first image (background)}
  p13_2_ModeX(16000,16000);
  LoadGif('corner');            {load second image}
  p13_2_modex(0,16000);
  SetStart(16000);              {show background}
  Repeat
    For i:=200 downto 0 do Begin{draw Split-Line up}
      WaitRetrace;
      Split(i);
      If KeyPressed Then Exit;
    End;
    For i:=0 to 200 do Begin    {Split-Line down}
      WaitRetrace;
      Split(i);
      If KeyPressed Then Exit;
    End;
  Until KeyPressed;
  TextMode(3);
End.
